Summary:        An Arabic script unicode font
Name:           sil-scheherazade-fonts 
Version:        4.000
Release:        1%{?dist}
License:        OFL-1.1
URL:            https://software.sil.org/scheherazade/
Source0:        https://software.sil.org/downloads/r/scheherazade/ScheherazadeNew-%{version}.zip
Source1:        65-sil-scheherazade-new-fonts.conf
Source2:        sil-scheherazade-fonts-metainfo.xml

BuildArch:      noarch
BuildRequires:  libappstream-glib fonts-rpm-macros
Requires:       fontpackages-filesystem

Provides:       sil-scheherazade-fonts = %{version}-%{release}

%description
Scheherazade, named after the heroine of the classic Arabian Nights tale, is
designed in a similar style to traditional typefaces such as Monotype Naskh,
extended to cover the full Unicode Arabic repertoire.

%prep
%setup -q -n ScheherazadeNew-%{version}
rm -rf documentation/source documentation/pdf
%linuxtext FONTLOG.txt OFL.txt OFL-FAQ.txt README.txt documentation/DOCUMENTATION.txt documentation/assets/css/*

%build
cp %{SOURCE2} metainfo.xml

%install
install -m 0755 -vd %{buildroot}%{_metainfodir}
echo %{_metainfodir}/${fontappstream} >> %{currentfontfilelist}
cp *.xml %{buildroot}%{_metainfodir}/

%check
grep -E ^%{_fontconfig_templatedir}/.+\\.conf %{currentfontfilelist} \
      | xargs -I{} -- sh -c xmllint --loaddtd --valid  --nonet %{buildroot}{}
grep -E ^%{_datadir}/metainfo/.+\\.xml %{currentfontfilelist} \
    | xargs -I{} --  appstream-util validate-relax --nonet %{buildroot}{}

%files -f %{currentfontfilelist}
%license OFL.txt  	
%doc FONTLOG.txt README.txt OFL-FAQ.txt documentation/*


%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 4.000-1
- Upgrade to version 4.000

* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 3.300-6
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.300-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.300-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.300-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Feng Weiyao <wynnfeng@tencent.com> - 3.300-2
- modify sil-scheherazade-fonts-metainfo.xml.

* Mon Nov 21 2022 Feng Weiyao <wynnfeng@tencent.com> - 3.300-1
- package init.
